package com.jsh.erp.datasource.entities;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 商品表实体类
 */
@Data
@Accessors(chain = true)
@TableName("jsh_material")
public class Material {

    @ApiModelProperty("主键id")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("产品类型id")
    private Long categoryId;

    @ApiModelProperty("产品名称")
    private String name;

    @ApiModelProperty("品牌")
    private String brand;

    @ApiModelProperty("助记码")
    private String mnemonic;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("图片名称")
    private String imgName;

    @ApiModelProperty("启用 0-禁用  1-启用")
    private Boolean enabled;

    @ApiModelProperty("自定义1")
    private String otherField1;

    @ApiModelProperty("自定义2")
    private String otherField2;

    @ApiModelProperty("自定义3")
    private String otherField3;

    @ApiModelProperty("是否开启序列号，0否，1是")
    private String enableSerialNumber;

    @ApiModelProperty("租户id")
    private Long tenantId;

    @ApiModelProperty("删除标记，0未删除，1删除")
    private String deleteFlag;

    @ApiModelProperty("系统spu")
    private String systemSpu;

    @ApiModelProperty("无动销提醒周期")
    private String movingPinReminderCycle;

    @ApiModelProperty("保质期天数")
    private Integer expiryNum;

    @ApiModelProperty("默认采购价格")
    private BigDecimal defaultPurchaseDecimal;

    @ApiModelProperty("默认销售价格")
    private BigDecimal defaultWholesaleDecimal;

    @ApiModelProperty("商品提醒")
    private String reminder;

    @TableField(exist = false)
    private List<MaterialExtend> list;

    @TableField(exist = false)
    private Map<Long,String> depotMap;

    //以下字段去除
//    @ApiModelProperty("型号")
//    private String model;
//
//    @ApiModelProperty("规格")
//    private String standard;
//
//    @ApiModelProperty("颜色")
//    private String color;

    @ApiModelProperty("单位-单个")
    private String unit;

    @ApiModelProperty("计量单位Id")
    private Long unitId;

//    @ApiModelProperty("基础重量(kg)")
//    private BigDecimal weight;

    @ApiModelProperty("是否开启批号，0否，1是")
    private String enableBatchNumber;


    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public void setBrand(String brand) {
        this.brand = brand == null ? null : brand.trim();
    }

    public void setMnemonic(String mnemonic) {
        this.mnemonic = mnemonic == null ? null : mnemonic.trim();
    }


//    public void setUnit(String unit) {
//        this.unit = unit == null ? null : unit.trim();
//    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public void setImgName(String imgName) {
        this.imgName = imgName == null ? null : imgName.trim();
    }

    public void setOtherField1(String otherField1) {
        this.otherField1 = otherField1 == null ? null : otherField1.trim();
    }

    public void setOtherField2(String otherField2) {
        this.otherField2 = otherField2 == null ? null : otherField2.trim();
    }

    public void setOtherField3(String otherField3) {
        this.otherField3 = otherField3 == null ? null : otherField3.trim();
    }

    public void setEnableSerialNumber(String enableSerialNumber) {
        this.enableSerialNumber = enableSerialNumber == null ? null : enableSerialNumber.trim();
    }

//    public void setEnableBatchNumber(String enableBatchNumber) {
//        this.enableBatchNumber = enableBatchNumber == null ? null : enableBatchNumber.trim();
//    }

    public void setDeleteFlag(String deleteFlag) {
        this.deleteFlag = deleteFlag == null ? null : deleteFlag.trim();
    }

}