package com.jsh.erp.datasource.entities;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 商品录入
 */
@Data
public class MaterialInput {

    @ApiModelProperty("主键id")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("录入单号")
    private String number;

    @ApiModelProperty("商品名称")
    private String name;

    @ApiModelProperty("商品条码")
    private String barCode;

    @ApiModelProperty("规格")
    private String standard;

    @ApiModelProperty("生产日期")
    private Date productionDate;

    @ApiModelProperty("图片名称")
    private String imgName;

    @ApiModelProperty("仓库id")
    private Long depotId;

    @ApiModelProperty("仓位货架")
    private String position;

    @ApiModelProperty("录入状态 0.待审核，1.正常，2.已驳回")
    private Integer status;

    @ApiModelProperty("类别id")
    private Long categoryId;

    @ApiModelProperty("默认采购价格")
    private BigDecimal defaultPurchaseDecimal;

    @ApiModelProperty("默认销售价格")
    private BigDecimal defaultWholesaleDecimal;

    @ApiModelProperty("商品单位")
    private String commodityUnit;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("删除标记，0正常，1删除")
    private Boolean deleteFlag;


}
