package com.jsh.erp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jsh.erp.datasource.dto.AuditProcessDTO;
import com.jsh.erp.datasource.dto.AuditProcessQueryDTO;
import com.jsh.erp.datasource.entities.AuditProcess;
import com.jsh.erp.datasource.vo.AuditProcessVo;

import java.util.List;

public interface AuditProcessService extends IService<AuditProcess> {

    /**
     * 查询审核流程列表
     * @param auditProcessQueryDTO 筛选条件
     * @return
     */
    List<AuditProcessVo> listBy(AuditProcessQueryDTO auditProcessQueryDTO);

    /**
     * 新增审核流程
     */
    boolean add(AuditProcessDTO auditProcessDTO);

    /**
     * 修改审核流程及节点详情
     */
    boolean detailUpdate(AuditProcessDTO auditProcessDTO);

}
