package com.jsh.erp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jsh.erp.datasource.dto.AuditDTO;
import com.jsh.erp.datasource.dto.AuditQueryDTO;
import com.jsh.erp.datasource.entities.Audit;
import com.jsh.erp.datasource.pda.dto.PDADepotHeadDTO;
import com.jsh.erp.datasource.pda.vo.PDADepotHeadVO;
import com.jsh.erp.datasource.vo.AuditNodeVo;
import com.jsh.erp.datasource.vo.AuditVo;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

public interface AuditService extends IService<Audit> {

    /**
     * 根据审核业务id和类型生成审核实例及节点实例
     * @return
     */
    boolean generateAuditByItemId(String businessNumber, String type);

    /**
     * 待我审批列表
     * @return
     */
    List<AuditVo> pendingApprovalList(AuditQueryDTO auditQueryDTO);

    /**
     * 待我审批列表
     * @return
     */
    Long pendingApprovalCount();

    /**
     * 已处理审批列表
     * @return
     */
    List<AuditVo> processedApprovalList(AuditQueryDTO auditQueryDTO);

    /**
     * 我发起的任务列表
     * @return
     */
    List<AuditVo> myApprovalList(AuditQueryDTO auditQueryDTO);

    /**
     * 根据审核id获取审核历史
     */
    List<AuditNodeVo> getAuditHistory(Long id);

    /**
     * 设置审核状态
     * @param auditDTO
     * @return
     */
    boolean setStatus(AuditDTO auditDTO);

    /**
     * pda复核任务列表
     */
    List<PDADepotHeadVO> pdaList(PDADepotHeadDTO pdaDepotHeadDTO);




}
