package com.jsh.erp.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jsh.erp.datasource.entities.MaterialUpc;
import com.jsh.erp.datasource.mappers.MaterialUpcMapper;
import com.jsh.erp.service.MaterialUpcService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
@Slf4j
public class MaterialUpcServiceImpl extends ServiceImpl<MaterialUpcMapper,MaterialUpc> implements MaterialUpcService {

    @Resource
    private MaterialUpcMapper materialUpcMapper;

    /**
     * 保存商品UPC
     * @param upcList 商品UPC集合
     * @param meId 商品拓展id
     */
    @Override
    public Boolean saveDetails(List<MaterialUpc> upcList, Long meId) {
        update(new UpdateWrapper<MaterialUpc>().set("delete_flag",true).eq("material_extend_id",meId));
        for (MaterialUpc materialUpc : upcList) {
            materialUpc.setMaterialExtendId(meId);
        }
        return saveOrUpdateBatch(upcList);
    }

}
